org.apache.sling.maven.projectsupport

## Class AbstractLaunchpadStartingMojo

- java.lang.Object
- - org.apache.maven.plugin.AbstractMojo
  - - org.apache.sling.maven.projectsupport.AbstractBundleListMojo
    - - org.apache.sling.maven.projectsupport.AbstractUsingBundleListMojo
      - - org.apache.sling.maven.projectsupport.AbstractLaunchpadStartingMojo

All Implemented Interfaces:
  org.apache.maven.plugin.ContextEnabled, org.apache.maven.plugin.Mojo, org.apache.sling.launchpad.base.shared.Notifiable

Direct Known Subclasses:
  RunMojo, StartMojo

    public abstract class AbstractLaunchpadStartingMojo
    extends AbstractUsingBundleListMojo
    implements org.apache.sling.launchpad.base.shared.Notifiable

### Field Summary

### Fields inherited from class org.apache.sling.maven.projectsupport.AbstractUsingBundleListMojo

`BUNDLE_PATH_PREFIX, CONFIG_PATH_PREFIX, defaultBundleList, JAR, mavenFileFilter, WAR`

### Fields inherited from class org.apache.sling.maven.projectsupport.AbstractBundleListMojo

`bundleListFile, commonSlingBootstrap, commonSlingProps, ignoreBundleListConfig, mavenSession, PARTIAL, project, projectHelper, standaloneSlingBootstrap, standaloneSlingProps, webappSlingBootstrap, webappSlingProps`

### Fields inherited from interface org.apache.maven.plugin.Mojo

`ROLE`

### Constructor Summary

Constructors
Constructor and Description
`AbstractLaunchpadStartingMojo()`

### Method Summary

All Methods Instance Methods Abstract Methods Concrete Methods
`protected void` `executeWithArtifacts()` Execute the logic of the plugin after the default artifacts have been initialized.
`protected void` `initArtifactDefinitions(Properties dependencies)` Hook methods for subclasses to initialize any additional artifact definitions.
`protected void` `initBundleList(BundleList bundleList)` Add the JAR Web Support bundle to the bundle list.
`protected abstract org.apache.sling.launchpad.base.impl.Sling` `startSling(org.apache.sling.launchpad.api.LaunchpadContentProvider resourceProvider, Map<String,String> props, org.apache.felix.framework.Logger logger)`
`void` `stopped()`
`protected void` `stopSling()`
`void` `updated(File updateFile)`

### Methods inherited from class org.apache.sling.maven.projectsupport.AbstractUsingBundleListMojo

`execute, getConfigDirectory, getInitializedBundleList, getSlingBootstrap, getSlingProperties, shouldCopy`

### Methods inherited from class org.apache.sling.maven.projectsupport.AbstractBundleListMojo

`copyDirectory, getArtifact, getArtifact`

### Methods inherited from class org.apache.maven.plugin.AbstractMojo

`getLog, getPluginContext, setLog, setPluginContext`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### AbstractLaunchpadStartingMojo

    public AbstractLaunchpadStartingMojo()

### Method Detail

#### stopped

    public void stopped()

Specified by:
  `stopped` in interface `org.apache.sling.launchpad.base.shared.Notifiable`

#### updated

    public void updated(File updateFile)

Specified by:
  `updated` in interface `org.apache.sling.launchpad.base.shared.Notifiable`

#### executeWithArtifacts

    protected void executeWithArtifacts()
                                 throws org.apache.maven.plugin.MojoExecutionException

Execute the logic of the plugin after the default artifacts have been initialized.

Specified by:
  `executeWithArtifacts` in class `AbstractUsingBundleListMojo`
Throws:
  `org.apache.maven.plugin.MojoExecutionException`

#### startSling

    protected abstract org.apache.sling.launchpad.base.impl.Sling startSling(org.apache.sling.launchpad.api.LaunchpadContentProvider resourceProvider,
                                                                             Map<String,String> props,
                                                                             org.apache.felix.framework.Logger logger)
                                                                      throws org.osgi.framework.BundleException

Throws:
  `org.osgi.framework.BundleException`

#### stopSling

    protected void stopSling()

#### initArtifactDefinitions

    protected void initArtifactDefinitions(Properties dependencies)

Description copied from class: `AbstractUsingBundleListMojo`
Hook methods for subclasses to initialize any additional artifact definitions.

Overrides:
  `initArtifactDefinitions` in class `AbstractUsingBundleListMojo`
Parameters:
  `dependencies` - the dependency properties loaded from the JAR file

#### initBundleList

    protected void initBundleList(BundleList bundleList)

Add the JAR Web Support bundle to the bundle list.

Overrides:
  `initBundleList` in class `AbstractUsingBundleListMojo`